class CreateBoardPosts < ActiveRecord::Migration[8.1]
  def change
    create_table :board_posts do |t|
      t.integer :board_id, null: false
      t.integer :participant_id, null: false
      t.text :body, null: false
      t.string :phase

      t.timestamps
    end

    add_index :board_posts, :board_id
    add_index :board_posts, :participant_id
    add_foreign_key :board_posts, :boards
    add_foreign_key :board_posts, :participants
  end
end
